import {
  THEME_SETTINGS,
  LOAD_DASHBOARD_STATS,
  START,
  SUCCESS,
  FAIL, SET_LANG
} from '../constants'

export default (settingsState = {
  showNotificationBar: false,
  language: 'en',
  dashboard: {
    dashboardLoading: false,
    dashboardStats: []
  },
  layout: {
    showHeader: true,
    showFooter: true,
    showSidebar: true,
    showBanner: true,
    sidebarPosition: 'left'
  }
}, action) => {
  const { type, response, error, lang } = action
  switch (type) {
    case THEME_SETTINGS + SUCCESS:
      return {...settingsState, ...response}

    case 'TOGGLE_NOTIFICATION_BAR':
      return {
        ...settingsState,
        showNotificationBar: !settingsState.showNotificationBar
      }

    case LOAD_DASHBOARD_STATS + START:
      return {
          ...settingsState,
          dashboard: {
              ...settingsState.dashboard,
            dashboardLoading: true
          }
      }

    case LOAD_DASHBOARD_STATS + SUCCESS:
      return {
          ...settingsState,
          dashboard: {
              ...settingsState.dashboard,
            dashboardLoading: false,
            dashboardStats: response
          }
      }

      case LOAD_DASHBOARD_STATS + FAIL:
      return {
          ...settingsState,
          dashboard: {
              ...settingsState.dashboard,
            dashboardLoading: false,
            error: error

          }
      }

    case SET_LANG:
      return {
          ...settingsState,
          language: lang
      }
  }

  return settingsState
}